# Engine

### Supported Blockchains

To retrieve a list of supported blockchains, make a `GET` requests to `/chains`.

{% openapi src="/files/ZuFqAH96VVGgwQAJ2vzc" path="/chains" method="get" %}
[offblocks-api-spec\_master\_api.yaml](https://1545901005-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FTToCQFhAYRMgObGgbSjC%2Fuploads%2FV89o79d3urx40FHQswwW%2Foffblocks-api-spec_master_api.yaml?alt=media\&token=762e0468-4f4f-407e-9281-df4ee98be768)
{% endopenapi %}

This list contains names and [CAIP-2](https://chainagnostic.org/CAIPs/caip-2) compliant chain IDs for all blockchains currently supported by this API instance. Normally, for Sandbox environment this will include all supported testnets and devnets, while for Production this includes mainnets.

For more information on supported blockchains and their status please refer to [Supported Blockchains and Assets](/overview/supported-blockchains-and-assets.md).

### Supported Assets

To retrieve a list of supported assets, make a `GET` requests to `/assets`.

{% openapi src="/files/ZuFqAH96VVGgwQAJ2vzc" path="/assets" method="get" %}
[offblocks-api-spec\_master\_api.yaml](https://1545901005-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FTToCQFhAYRMgObGgbSjC%2Fuploads%2FV89o79d3urx40FHQswwW%2Foffblocks-api-spec_master_api.yaml?alt=media\&token=762e0468-4f4f-407e-9281-df4ee98be768)
{% endopenapi %}

This list contains names, symbols and [CAIP-19](https://chainagnostic.org/CAIPs/caip-19) compliant asset IDs for all assets currently supported by this API instance. Normally, for Sandbox environment this will include all supported assets on testnets and devnets, while for Production this includes assets on mainnets.

For more information on supported assets and their status please refer to [Supported Blockchains and Assets](/overview/supported-blockchains-and-assets.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.offblocks.xyz/developer-guides/api-integration/api-reference/engine.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
